<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_74) on Wed Mar 02 13:32:39 CET 2016 -->
<title>ModuleData.Builder (QA API)</title>
<meta name="date" content="2016-03-02">
<link rel="stylesheet" type="text/css" href="../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ModuleData.Builder (QA API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10,"i28":10,"i29":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.module"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/NamingExceptionsData.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.module"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.Builder.html" target="_top">Frames</a></li>
<li><a href="ModuleData.Builder.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.openbravo.test.integration.erp.data.applicationdictionary.module</div>
<h2 title="Class ModuleData.Builder" class="title">Class ModuleData.Builder</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>com.openbravo.test.integration.erp.data.applicationdictionary.module.ModuleData.Builder</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>Enclosing class:</dt>
<dd><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.module">ModuleData</a></dd>
</dl>
<hr>
<br>
<pre>public static class <span class="typeNameLabel">ModuleData.Builder</span>
extends <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
<div class="block">Class builder</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>plujan</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.Builder.html#Builder--">Builder</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.module">ModuleData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.Builder.html#active-java.lang.Boolean-">active</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</code>
<div class="block">Set the active value
 
 Description: A flag indicating whether this record is available for use or de-activated.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.module">ModuleData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.Builder.html#applyConfigurationScript-java.lang.Boolean-">applyConfigurationScript</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</code>
<div class="block">Set the applyConfigurationScript value
 
 Description: Apply the configuration script when building the application</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.module">ModuleData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.Builder.html#author-java.lang.String-">author</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the author value
 
 Description: Module author/licensor</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.module">ModuleData</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.Builder.html#build--">build</a></span>()</code>
<div class="block">Build the data object.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.module">ModuleData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.Builder.html#client-java.lang.String-">client</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the client value
 
 Description: Client for this installation.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.module">ModuleData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.Builder.html#commercial-java.lang.Boolean-">commercial</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</code>
<div class="block">Set the commercial value
 
 Description: Commercial Module</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.module">ModuleData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.Builder.html#defaultValue-java.lang.Boolean-">defaultValue</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</code>
<div class="block">Set the defaultValue value
 
 Description: A value that is shown whenever a record is created.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.module">ModuleData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.Builder.html#description-java.lang.String-">description</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the description value
 
 Description: A space to write additional related information.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.module">ModuleData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.Builder.html#enabled-java.lang.Boolean-">enabled</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</code>
<div class="block">Set the enabled value
 
 Description: Is the module enabled</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.module">ModuleData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.Builder.html#hasChartOfAccounts-java.lang.Boolean-">hasChartOfAccounts</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</code>
<div class="block">Set the hasChartOfAccounts value
 
 Description: The module contains a chart of accounts</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.module">ModuleData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.Builder.html#hasReferenceData-java.lang.Boolean-">hasReferenceData</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</code>
<div class="block">Set the hasReferenceData value
 
 Description: The module contains reference data</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.module">ModuleData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.Builder.html#helpComment-java.lang.String-">helpComment</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the helpComment value
 
 Description: A comment that adds additional information to help users work with fields.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.module">ModuleData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.Builder.html#inDevelopment-java.lang.Boolean-">inDevelopment</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</code>
<div class="block">Set the inDevelopment value
 
 Description: Determines wether the module is currently in development process.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.module">ModuleData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.Builder.html#isTranslationModule-java.lang.Boolean-">isTranslationModule</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</code>
<div class="block">Set the isTranslationModule value
 
 Description: This is a translation module</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.module">ModuleData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.Builder.html#javaPackage-java.lang.String-">javaPackage</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the javaPackage value
 
 Description: Java package for the module</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.module">ModuleData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.Builder.html#language-java.lang.String-">language</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the language value
 
 Description: Language for the current module</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.module">ModuleData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.Builder.html#licenseText-java.lang.String-">licenseText</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the licenseText value
 
 Description: Module license text</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.module">ModuleData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.Builder.html#licenseType-java.lang.String-">licenseType</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the licenseType value
 
 Description: Type of license</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.module">ModuleData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.Builder.html#name-java.lang.String-">name</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the name value
 
 Description: A non-unique identifier for a record/document often used as a search tool.</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.module">ModuleData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.Builder.html#organization-java.lang.String-">organization</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the organization value
 
 Description: Organizational entity within client</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.module">ModuleData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.Builder.html#referenceDataDescription-java.lang.String-">referenceDataDescription</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the referenceDataDescription value
 
 Description: Description for the reference data contained within the module</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.module">ModuleData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.Builder.html#status-java.lang.String-">status</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the status value
 
 Description: A defined state or position of a payment.</div>
</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.module">ModuleData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.Builder.html#tier-java.lang.String-">tier</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the tier value
 
 Description: Tier for commercial modules</div>
</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.module">ModuleData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.Builder.html#translationRequired-java.lang.Boolean-">translationRequired</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</code>
<div class="block">Set the translationRequired value
 
 Description: This module requires of tranlsation</div>
</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.module">ModuleData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.Builder.html#type-java.lang.String-">type</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the type value
 
 Description: A distinct item characteristic used for processes and sometimes grouped within a
 category.</div>
</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.module">ModuleData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.Builder.html#updateInformation-java.lang.String-">updateInformation</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the updateInformation value
 
 Description: Information about the update</div>
</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.module">ModuleData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.Builder.html#uRL-java.lang.String-">uRL</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the uRL value
 
 Description: An address which can be accessed via internet.</div>
</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.module">ModuleData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.Builder.html#version-java.lang.String-">version</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the version value
 
 Description: Module version</div>
</td>
</tr>
<tr id="i28" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.module">ModuleData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.Builder.html#versionID-java.lang.String-">versionID</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the versionID value
 
 Description: Version identifier</div>
</td>
</tr>
<tr id="i29" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.module">ModuleData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.Builder.html#versionLabel-java.lang.String-">versionLabel</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the versionLabel value
 
 Description: Human readable version identifer</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Builder--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Builder</h4>
<pre>public&nbsp;Builder()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="applyConfigurationScript-java.lang.Boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>applyConfigurationScript</h4>
<pre>public&nbsp;<a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.module">ModuleData.Builder</a>&nbsp;applyConfigurationScript(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</pre>
<div class="block">Set the applyConfigurationScript value
 
 Description: Apply the configuration script when building the application</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The applyConfigurationScript value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="enabled-java.lang.Boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>enabled</h4>
<pre>public&nbsp;<a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.module">ModuleData.Builder</a>&nbsp;enabled(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</pre>
<div class="block">Set the enabled value
 
 Description: Is the module enabled</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The enabled value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="tier-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>tier</h4>
<pre>public&nbsp;<a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.module">ModuleData.Builder</a>&nbsp;tier(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the tier value
 
 Description: Tier for commercial modules</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The tier value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="commercial-java.lang.Boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>commercial</h4>
<pre>public&nbsp;<a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.module">ModuleData.Builder</a>&nbsp;commercial(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</pre>
<div class="block">Set the commercial value
 
 Description: Commercial Module</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The commercial value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="versionLabel-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>versionLabel</h4>
<pre>public&nbsp;<a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.module">ModuleData.Builder</a>&nbsp;versionLabel(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the versionLabel value
 
 Description: Human readable version identifer</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The versionLabel value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="versionID-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>versionID</h4>
<pre>public&nbsp;<a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.module">ModuleData.Builder</a>&nbsp;versionID(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the versionID value
 
 Description: Version identifier</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The versionID value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="referenceDataDescription-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>referenceDataDescription</h4>
<pre>public&nbsp;<a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.module">ModuleData.Builder</a>&nbsp;referenceDataDescription(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the referenceDataDescription value
 
 Description: Description for the reference data contained within the module</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The referenceDataDescription value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="updateInformation-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>updateInformation</h4>
<pre>public&nbsp;<a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.module">ModuleData.Builder</a>&nbsp;updateInformation(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the updateInformation value
 
 Description: Information about the update</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The updateInformation value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="isTranslationModule-java.lang.Boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isTranslationModule</h4>
<pre>public&nbsp;<a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.module">ModuleData.Builder</a>&nbsp;isTranslationModule(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</pre>
<div class="block">Set the isTranslationModule value
 
 Description: This is a translation module</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The isTranslationModule value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="hasReferenceData-java.lang.Boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hasReferenceData</h4>
<pre>public&nbsp;<a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.module">ModuleData.Builder</a>&nbsp;hasReferenceData(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</pre>
<div class="block">Set the hasReferenceData value
 
 Description: The module contains reference data</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The hasReferenceData value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="hasChartOfAccounts-java.lang.Boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hasChartOfAccounts</h4>
<pre>public&nbsp;<a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.module">ModuleData.Builder</a>&nbsp;hasChartOfAccounts(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</pre>
<div class="block">Set the hasChartOfAccounts value
 
 Description: The module contains a chart of accounts</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The hasChartOfAccounts value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="status-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>status</h4>
<pre>public&nbsp;<a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.module">ModuleData.Builder</a>&nbsp;status(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the status value
 
 Description: A defined state or position of a payment.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The status value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="javaPackage-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>javaPackage</h4>
<pre>public&nbsp;<a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.module">ModuleData.Builder</a>&nbsp;javaPackage(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the javaPackage value
 
 Description: Java package for the module</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The javaPackage value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="licenseType-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>licenseType</h4>
<pre>public&nbsp;<a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.module">ModuleData.Builder</a>&nbsp;licenseType(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the licenseType value
 
 Description: Type of license</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The licenseType value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="author-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>author</h4>
<pre>public&nbsp;<a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.module">ModuleData.Builder</a>&nbsp;author(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the author value
 
 Description: Module author/licensor</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The author value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="defaultValue-java.lang.Boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>defaultValue</h4>
<pre>public&nbsp;<a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.module">ModuleData.Builder</a>&nbsp;defaultValue(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</pre>
<div class="block">Set the defaultValue value
 
 Description: A value that is shown whenever a record is created.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The defaultValue value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="version-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>version</h4>
<pre>public&nbsp;<a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.module">ModuleData.Builder</a>&nbsp;version(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the version value
 
 Description: Module version</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The version value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="uRL-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>uRL</h4>
<pre>public&nbsp;<a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.module">ModuleData.Builder</a>&nbsp;uRL(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the uRL value
 
 Description: An address which can be accessed via internet.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The uRL value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="type-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>type</h4>
<pre>public&nbsp;<a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.module">ModuleData.Builder</a>&nbsp;type(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the type value
 
 Description: A distinct item characteristic used for processes and sometimes grouped within a
 category.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The type value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="name-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>name</h4>
<pre>public&nbsp;<a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.module">ModuleData.Builder</a>&nbsp;name(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the name value
 
 Description: A non-unique identifier for a record/document often used as a search tool.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The name value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="licenseText-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>licenseText</h4>
<pre>public&nbsp;<a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.module">ModuleData.Builder</a>&nbsp;licenseText(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the licenseText value
 
 Description: Module license text</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The licenseText value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="active-java.lang.Boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>active</h4>
<pre>public&nbsp;<a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.module">ModuleData.Builder</a>&nbsp;active(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</pre>
<div class="block">Set the active value
 
 Description: A flag indicating whether this record is available for use or de-activated.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The active value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="inDevelopment-java.lang.Boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>inDevelopment</h4>
<pre>public&nbsp;<a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.module">ModuleData.Builder</a>&nbsp;inDevelopment(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</pre>
<div class="block">Set the inDevelopment value
 
 Description: Determines wether the module is currently in development process.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The inDevelopment value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="helpComment-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>helpComment</h4>
<pre>public&nbsp;<a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.module">ModuleData.Builder</a>&nbsp;helpComment(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the helpComment value
 
 Description: A comment that adds additional information to help users work with fields.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The helpComment value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="translationRequired-java.lang.Boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>translationRequired</h4>
<pre>public&nbsp;<a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.module">ModuleData.Builder</a>&nbsp;translationRequired(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</pre>
<div class="block">Set the translationRequired value
 
 Description: This module requires of tranlsation</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The translationRequired value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="language-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>language</h4>
<pre>public&nbsp;<a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.module">ModuleData.Builder</a>&nbsp;language(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the language value
 
 Description: Language for the current module</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The language value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="description-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>description</h4>
<pre>public&nbsp;<a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.module">ModuleData.Builder</a>&nbsp;description(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the description value
 
 Description: A space to write additional related information.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The description value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="organization-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>organization</h4>
<pre>public&nbsp;<a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.module">ModuleData.Builder</a>&nbsp;organization(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the organization value
 
 Description: Organizational entity within client</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The organization value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="client-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>client</h4>
<pre>public&nbsp;<a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.Builder.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.module">ModuleData.Builder</a>&nbsp;client(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the client value
 
 Description: Client for this installation.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The client value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="build--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>build</h4>
<pre>public&nbsp;<a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.module">ModuleData</a>&nbsp;build()</pre>
<div class="block">Build the data object.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The data object</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.module"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../com/openbravo/test/integration/erp/data/applicationdictionary/module/NamingExceptionsData.html" title="class in com.openbravo.test.integration.erp.data.applicationdictionary.module"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?com/openbravo/test/integration/erp/data/applicationdictionary/module/ModuleData.Builder.html" target="_top">Frames</a></li>
<li><a href="ModuleData.Builder.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small><i>Copyright &#169; 2015 Openbravo. All Rights Reserved.</i></small></p>
</body>
</html>
